<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <button>Change color</button>
</body>
<script>
    const btn = document.querySelector('button');

    function random(number) {
        return Math.floor(Math.random() * (number + 1));
    }

    btn.onclick = function () {
        const rndCol = 'rgb(' + random(255) + ',' + random(255) + ',' + random(255) + ')';
        document.body.style.backgroundColor = rndCol;
    }
</script>

</html>